AcceptInvitation
POST
/auth/v1/invitations/{token}/acceptPath Parameters
token*token
The token path parameter.
Response Body
200application/json
Success
type: unknown
{
"$ref": "#/components/schemas/auth.v1.AcceptInvitationResponse",
"$ref-value": {
"type": "object",
"properties": {
"org_id": {
"type": "string",
"title": "org_id"
},
"org_name": {
"type": "string",
"title": "org_name"
},
"role": {
"allOf": [
{
"$ref": "#/components/schemas/auth.v1.MembershipRole",
"$ref-value": {
"type": "string",
"title": "MembershipRole",
"enum": [
"MEMBERSHIP_ROLE_UNSPECIFIED",
"MEMBERSHIP_ROLE_OWNER",
"MEMBERSHIP_ROLE_ADMIN",
"MEMBERSHIP_ROLE_MEMBER"
]
}
}
],
"title": "role"
}
},
"title": "AcceptInvitationResponse",
"additionalProperties": false
}
}curl -X POST "https://api.rixl.com/auth/v1/invitations/string/accept"Success
application/json
{
"$ref": "#/components/schemas/auth.v1.AcceptInvitationResponse",
"$ref-value": {
"type": "object",
"properties": {
"org_id": {
"type": "string",
"title": "org_id"
},
"org_name": {
"type": "string",
"title": "org_name"
},
"role": {
"allOf": [
{
"$ref": "#/components/schemas/auth.v1.MembershipRole",
"$ref-value": {
"type": "string",
"title": "MembershipRole",
"enum": [
"MEMBERSHIP_ROLE_UNSPECIFIED",
"MEMBERSHIP_ROLE_OWNER",
"MEMBERSHIP_ROLE_ADMIN",
"MEMBERSHIP_ROLE_MEMBER"
]
}
}
],
"title": "role"
}
},
"title": "AcceptInvitationResponse",
"additionalProperties": false
}
}